###################################################
### chunk number 1: Init
###################################################
library("tm")
data("crude")


###################################################
### chunk number 2: Ovid
###################################################
txt <- system.file("texts", "txt", package = "tm")
(ovid <- Corpus(DirSource(txt),
                readerControl = list(language = "lat")))


###################################################
### chunk number 3: VectorSource
###################################################
docs <- c("This is a text.", "This another one.")
Corpus(VectorSource(docs))


###################################################
### chunk number 4: Reuters
###################################################
reut21578 <- system.file("texts", "crude", package = "tm")
reuters <- Corpus(DirSource(reut21578),
                  readerControl = list(reader = readReut21578XML))


###################################################
### chunk number 5:  eval=FALSE
###################################################
## writeCorpus(ovid)


###################################################
### chunk number 6: 
###################################################
inspect(ovid[1:2])


###################################################
### chunk number 7: 
###################################################
reuters <- tm_map(reuters, as.PlainTextDocument)


###################################################
### chunk number 8: 
###################################################
reuters <- tm_map(reuters, stripWhitespace)


###################################################
### chunk number 9: 
###################################################
reuters <- tm_map(reuters, tolower)


###################################################
### chunk number 10: Stopwords
###################################################
reuters <- tm_map(reuters, removeWords, stopwords("english"))


###################################################
### chunk number 11: Stemming
###################################################
tm_map(reuters, stemDocument)


###################################################
### chunk number 12: 
###################################################
query <- "id == '237' & heading == 'INDONESIA SEEN AT CROSSROADS OVER ECONOMIC CHANGE'"
tm_filter(reuters, FUN = sFilter, query)


###################################################
### chunk number 13: 
###################################################
tm_filter(reuters, pattern = "company")


###################################################
### chunk number 14: DublinCore
###################################################
DublinCore(crude[[1]], "Creator") <- "Ano Nymous"
meta(crude[[1]])


###################################################
### chunk number 15: 
###################################################
meta(crude, tag = "test", type = "corpus") <- "test meta"
meta(crude, type = "corpus")
meta(crude, "foo") <- letters[1:20]
meta(crude)


###################################################
### chunk number 16: 
###################################################
dtm <- DocumentTermMatrix(reuters)
inspect(dtm[1:5,100:105])


###################################################
### chunk number 17: 
###################################################
findFreqTerms(dtm, 5)


###################################################
### chunk number 18: 
###################################################
findAssocs(dtm, "opec", 0.8)


###################################################
### chunk number 19: 
###################################################
inspect(removeSparseTerms(dtm, 0.4))


###################################################
### chunk number 20: 
###################################################
(d <- Dictionary(c("prices", "crude", "oil")))


###################################################
### chunk number 21: 
###################################################
inspect(DocumentTermMatrix(reuters, list(dictionary = d)))


